Bug 728701 - (libalkimia) Review Request: libalkimia - Financial library
Review Request: libalkimia - Financial library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-08-06 10:44 EDT by Rex Dieter
Modified: 2011-12-03 21:39 EST (History)
4 users (show)

See Also:
Fixed In Version: kmymoney-4.6.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-06 23:43:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kalevlember: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-08-06 10:44:28 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/libalkimia/libalkimia.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/libalkimia/libalkimia-4.3.1-1.fc14.src.rpm
Description: Financial library

This is required by newer versions of kmymoney
Comment 1 Kalev Lember 2011-08-20 02:41:13 EDT
Taking for review.
Comment 2 Kalev Lember 2011-08-20 03:01:51 EDT
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3288505
failed, looks like the package is missing BuildRequires on gmp-devel.


> %check
> ...
> test "$(pkg-config --modversion libalkimia)" = "%{version}" ||:
What's the point in having this test in %check, if you ignore the return value?


> %install
> rm -rf %{buildroot}
Just a small nit, current versions of rpmbuild automatically do this for you and there's no need to explicitly clean buildroot in %install.
Comment 3 Rex Dieter 2011-08-20 16:28:25 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/libalkimia/libalkimia.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/libalkimia/libalkimia-4.3.1-2.fc15.src.rpm

%changelog
* Sat Aug 20 2011 Rex Dieter <rdieter@fedoraproject.org> 4.3.1-2
- BR: gmp-devel
- %%check : don't ignore errors


new scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3289227
Comment 4 Kalev Lember 2011-08-21 02:58:28 EDT
Fedora review libalkimia-4.3.1-2.fc15.src.rpm  2011-08-21

+ OK
! needs attention

$ rpmlint libalkimia-4.3.1-2.fc16.src.rpm \
          libalkimia-4.3.1-2.fc16.x86_64.rpm \
          libalkimia-debuginfo-4.3.1-2.fc16.x86_64.rpm \
          libalkimia-devel-4.3.1-2.fc16.x86_64.rpm
libalkimia.x86_64: W: no-documentation
libalkimia-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ rpmlint warnings are harmless
+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the package base name
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
n/a The package must contain license file if upstream tarball has one
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  73d7f1365118019030b2045d95c92456  137323-libalkimia-4.3.1.tar.bz2
  73d7f1365118019030b2045d95c92456  Download/137323-libalkimia-4.3.1.tar.bz2
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a The spec file MUST handle locales properly
+ ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ No duplicated files in %files section
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
+ Header files should be in -devel
n/a Static libraries should be in -static
+ Library files that end in .so must go in a -devel package
+ -devel must require the fully versioned base
+ Packages should not contain libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Directory ownership sane
+ Filenames are valid UTF-8


Some small nits:
 - there's a trailing space on one of the lines in %check and some trailing
   newlines at the end of the file
 - I would advise to contact upstream and ask them to include a license file in
   the tarball
 - the 'rm -rf %{buildroot}' at the beginning of %install is no longer needed
   with recent rpmbuild

These are all minor issues and not review blockers; feel free to address them
as applicable before importing the package.

APPROVED
Comment 5 Rex Dieter 2011-08-21 13:25:12 EDT
New Package SCM Request
=======================
Package Name: libalkimia
Short Description: Financial library
Owners: rdieter
Branches: f15 f16
InitialCC:
Comment 6 Gwyn Ciesla 2011-08-21 15:36:16 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2011-08-22 09:25:43 EDT
kmymoney-4.6.0-1.fc16, libalkimia-4.3.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kmymoney-4.6.0-1.fc16,libalkimia-4.3.1-2.fc16
Comment 8 Fedora Update System 2011-08-22 14:35:37 EDT
Package kmymoney-4.6.0-1.fc16, libalkimia-4.3.1-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kmymoney-4.6.0-1.fc16 libalkimia-4.3.1-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/kmymoney-4.6.0-1.fc16,libalkimia-4.3.1-2.fc16
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2011-09-06 23:43:15 EDT
kmymoney-4.6.0-1.fc16, libalkimia-4.3.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-09-30 07:47:40 EDT
kmymoney-4.6.0-1.fc15,libalkimia-4.3.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kmymoney-4.6.0-1.fc15,libalkimia-4.3.1-3.fc15
Comment 11 Fedora Update System 2011-12-03 21:39:41 EST
kmymoney-4.6.0-1.fc15, libalkimia-4.3.1-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.